Skala
Stock take items

Update a stock take item

Partially updates specific fields of an existing stock take item without affecting the rest of the data.

PATCH
/api/stock_take_items/{id}

Partially updates specific fields of an existing stock take item without affecting the rest of the data.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

StockTakeItem identifier

Request Body

application/merge-patch+json

The updated StockTakeItem resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://api.skalasuite.com/api/stock_take_items/string" \  -H "Content-Type: application/merge-patch+json" \  -d ''
{
  "id": 0,
  "stockVariant": "/entity/1",
  "category": "/entity/1",
  "internalBarcode": "string",
  "supplierBarcode": "string",
  "registeredBarcode": "string",
  "batchBarcode": "string",
  "batchNumber": "string",
  "note": "string",
  "quantity": "string",
  "batch": "/entity/1",
  "stockTake": "/entity/1",
  "inStock": "string",
  "discrepancy": "string",
  "trackType": "string",
  "company": "/entity/1",
  "createdBy": "/entity/1",
  "updatedBy": "/entity/1",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z"
}
Empty
Empty
Empty